<?php
/**************************************************
  Coppermine 1.5.x Plugin - slider2
  *************************************************
  Copyright (c) 2009 Timos-Welt (www.timos-welt.de)
  *************************************************
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 3 of the License, or
  (at your option) any later version.
  ********************************************
  $HeadURL: https://coppermine.svn.sourceforge.net/svnroot/coppermine/branches/cpg1.5.x/plugins/slider2/plugin_config.php $
  $Revision: 6983 $
  $LastChangedBy: timoswelt $
  $Date: 2010-01-02 10:24:42 +0100 (Sa, 02. Jan 2010) $
  **************************************************/


require_once('include/init.inc.php');
require('./plugins/slider2/include/init.inc.php');


$slider2_superCage = Inspekt::makeSuperCage();

global $CONFIG,$lang_plugin_slider2;
if (!GALLERY_ADMIN_MODE) cpg_die(ERROR, $lang_errors['access_denied'], __FILE__, __LINE__);
if($lang_text_dir=='ltr') {
  $align="left";
  $direction="ltr";
}else {
  $align="right";
  $direction="rtl";
}

pageheader($lang_plugin_slider2['display_name']);
if ($slider2_superCage->post->keyExists('update')) {
  $slider2_width = $slider2_superCage->post->getInt('slider2_width');
  $slider2_numberofpics = $slider2_superCage->post->getInt('slider2_numberofpics');
  $slider2_speed = $slider2_superCage->post->getInt('slider2_speed');
  if ($enl_matches = $slider2_superCage->post->getMatched('slider2_bgcolor','/^[a-zA-Z0-9#]+$/'))
  {
    $slider2_bgcolor = $enl_matches[0];
  }
  else
  {
  	$slider2_bgcolor = '';
  }
  $slider2_album = $slider2_superCage->post->getAlnum('slider2_album');
  $slider2_skipportrait = $slider2_superCage->post->getInt('slider2_skipportrait');
  $slider2_align = $slider2_superCage->post->getAlnum('slider2_align');
  $slider2_useenlarge = $slider2_superCage->post->getInt('slider2_useenlarge');
  $slider2_pictype = $slider2_superCage->post->getAlnum('slider2_pictype');
  $slider2_autowidth = $slider2_superCage->post->getInt('slider2_autowidth');

  
  // if someone types text into a number input field, set default value
  if($slider2_width != strval(intval($slider2_width))) $slider2_width = 800;
  if($slider2_numberofpics != strval(intval($slider2_numberofpics))) $slider2_numberofpics = 15;
  if($slider2_numberofpics < 8) $slider2_numberofpics = 8;
  if($slider2_speed != strval(intval($slider2_speed))) $slider2_speed = 1;
  if (($slider2_speed > 10) || ($slider2_speed < 1)) $slider2_speed = 1;
  
  $s="UPDATE `{$CONFIG['TABLE_PREFIX']}plugin_slider2` SET slider2_pictype=('$slider2_pictype'), slider2_autowidth=($slider2_autowidth), slider2_useenlarge=($slider2_useenlarge), slider2_album=('$slider2_album'), slider2_width=($slider2_width), slider2_numberofpics=($slider2_numberofpics), slider2_speed=($slider2_speed), slider2_bgcolor=('$slider2_bgcolor'), slider2_skipportrait=($slider2_skipportrait), slider2_align=('$slider2_align')";
  cpg_db_query($s); 
  msg_box($lang_plugin_slider2['display_name'], $lang_plugin_slider2['update_success']);
}

require('./plugins/slider2/include/load_slider2set.php');

starttable('100%', $lang_plugin_slider2['main_title'].' - Version '.$lang_plugin_slider2['version']);
?>

<TR>
  <TD class=tableh2 colSpan=3><?php echo $lang_plugin_slider2['main_title']?></TD>
</TR>
<TR>
  <td><form action="<?php $_SERVER['PHP_SELF']?>" method="post" name="slider2_settings">
      <table class="maintable" cellSpacing="2" cellPadding="2" width="100%" align="<?php echo $align?>" border=0 id="section1">
        <tr>
          <td width="50%">&nbsp;</td>
          <td width="50%">&nbsp;</td>
        </tr>
        <tr>
        	<td align="right"><?php echo $lang_plugin_slider2['album']?>&nbsp;&nbsp;</td>
        	<td>
        		  <select name="slider2_album" id="slider2_album">
                 <option value="random" <?php if($SLIDER2SET['slider2_album'] == "random") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['random']?></option>
                 <option value="lastup" <?php if($SLIDER2SET['slider2_album'] == "lastup") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['lastup']?></option>
                 <option value="topn" <?php if($SLIDER2SET['slider2_album'] == "topn") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['topn']?></option>
                 <option value="toprated" <?php if($SLIDER2SET['slider2_album'] == "toprated") echo 'selected="selected"';?>><?php echo $lang_meta_album_names['toprated']?></option>
              </select>
          </td>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_slider2['slider2_width']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="slider2_width" name="slider2_width" type="int" value="<?php echo $SLIDER2SET['slider2_width']?>"> px
          </td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_slider2['slider2_autowidth']?>&nbsp;&nbsp;</td>
          <td><input name="slider2_autowidth" type="radio" value="1" <?php if($SLIDER2SET['slider2_autowidth']) echo 'checked="checked"';?> id="slider2_autowidth"/>
            <?php echo $lang_plugin_slider2['slider2_yes']?>
            <input name="slider2_autowidth" type="radio" value="0" <?php if(!$SLIDER2SET['slider2_autowidth']) echo 'checked="checked"';?> id="slider2_autowidth"/>
            <?php echo $lang_plugin_slider2['slider2_no']?> 
        </tr>
        <tr>
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_slider2['slider2_numberofpics']?> (10-30)&nbsp;&nbsp;
          </td>
          <td width="50%">
          	<select name="slider2_numberofpics" id="slider2_numberofpics">
          	<?php for($i = 10; $i < 31; $i++)
          	{
          	  echo '<option value="'.$i.'" ';
          	  if($SLIDER2SET['slider2_numberofpics'] == $i) echo 'selected="selected" ';
          	  echo '>'.$i.'</option>';
          	} ?>
          </select>
          </td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_slider2['slider2_speed']?>&nbsp;&nbsp;</td>
          <td><input name="slider2_speed" type="radio" value="1" <?php if($SLIDER2SET['slider2_speed'] == 1) echo 'checked="checked"';?> id="slider2_speed"/>
            1
            <input name="slider2_speed" type="radio" value="2" <?php if($SLIDER2SET['slider2_speed'] == 2) echo 'checked="checked"';?> id="slider2_speed"/>
            2
            <input name="slider2_speed" type="radio" value="3" <?php if($SLIDER2SET['slider2_speed'] == 3) echo 'checked="checked"';?> id="slider2_speed"/>
            3
        </tr>
        <tr>
          <td width="50%" align="right">
            <?php echo $lang_plugin_slider2['slider2_bgcolor']?>&nbsp;&nbsp;
          </td>
          <td width="50%">
            <input id="slider2_bgcolor" name="slider2_bgcolor" value="<?php echo $SLIDER2SET['slider2_bgcolor']?>">
          </td>
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_slider2['skipportrait']?>&nbsp;&nbsp;</td>
          <td><input name="slider2_skipportrait" type="radio" value="1" <?php if($SLIDER2SET['slider2_skipportrait']) echo 'checked="checked"';?> id="slider2_skipportrait"/>
            <?php echo $lang_plugin_slider2['slider2_yes']?>
            <input name="slider2_skipportrait" type="radio" value="0" <?php if(!$SLIDER2SET['slider2_skipportrait']) echo 'checked="checked"';?> id="slider2_skipportrait"/>
            <?php echo $lang_plugin_slider2['slider2_no']?> 
        </tr>

        <tr>
          <td align="right">
          	<?php echo $lang_plugin_slider2['align']?>&nbsp;&nbsp;</td>
          <td><input name="slider2_align" type="radio" value="left" <?php if($SLIDER2SET['slider2_align'] == 'left') echo 'checked="checked"';?> id="slider2_align"/>
            <?php echo $lang_plugin_slider2['left']?>
            <input name="slider2_align" type="radio" value="center" <?php if($SLIDER2SET['slider2_align'] == 'center') echo 'checked="checked"';?> id="slider2_align"/>
            <?php echo $lang_plugin_slider2['center']?> 
            <input name="slider2_align" type="radio" value="right" <?php if($SLIDER2SET['slider2_align'] == 'right') echo 'checked="checked"';?> id="slider2_align"/>
            <?php echo $lang_plugin_slider2['right']?> 
        </tr>
        <tr>
          <td align="right">
          	<?php echo $lang_plugin_slider2['useenlarge']?>&nbsp;&nbsp;</td>
          <td><input name="slider2_useenlarge" type="radio" value="1" <?php if($SLIDER2SET['slider2_useenlarge']) echo 'checked="checked"';?> id="slider2_useenlarge"/>
            <?php echo $lang_plugin_slider2['slider2_yes']?>
            <input name="slider2_useenlarge" type="radio" value="0" <?php if(!$SLIDER2SET['slider2_useenlarge']) echo 'checked="checked"';?> id="slider2_useenlarge"/>
            <?php echo $lang_plugin_slider2['slider2_no']?> 
        </tr>

        <tr>
          <td align="right">
          	<?php echo $lang_plugin_slider2['pictype']?>&nbsp;&nbsp;</td>
          <td><input name="slider2_pictype" type="radio" value="normal" <?php if($SLIDER2SET['slider2_pictype'] == 'normal') echo 'checked="checked"';?> id="slider2_pictype"/>
            <?php echo $lang_plugin_slider2['slider2_normalsize']?>
            <input name="slider2_pictype" type="radio" value="fullsize" <?php if($SLIDER2SET['slider2_pictype'] == 'fullsize') echo 'checked="checked"';?> id="slider2_pictype"/>
            <?php echo $lang_plugin_slider2['slider2_fullsize']?> 
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td>
            <input name="update" type="hidden" id="update" value="1" /></td>
        </tr>  
        <tr>
          <td>&nbsp;</td>
          <td align="left"><input name="Submit" type="submit" value="<?php echo $lang_plugin_slider2['submit_button']?>" /></td>
        </tr>
        <tr>
          <td>&nbsp;</td>
          <td align="center">&nbsp;</td>
        </tr>
      </table>
    </form></td>
</tr>
<?php 
endtable();
pagefooter();
ob_end_flush();

?>